跳至內容

Sam 3 · 3D Align

整合

模型 id sam-3/3d-align
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/3d-align?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.02 20 API 點數 在此頁面執行

取得 API 金鑰
Meta · 3D

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 image_url
拖放檔案,或

使用 MoGe 進行深度估計的來源圖像 URL。

•必填

用於對齊的網格 URL,接受 .ply 或 .glb 格式的 SAM-3D Body 檔案。

進階 body_mask_url · object_mesh_url · focal_length
拖放檔案,或

人類遮罩圖像 URL;省略時會使用整張圖像。

SAM-3D Object 的選用網格 URL,格式為 .glb,用於建立合併場景。

取自 SAM-3D Body 中繼資料的焦距覆寫值;未提供值時使用 MoGe 估計值。

POST /run/sam-3/3d-align?wait=20 報價 → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/3d-align?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Sam 3 · 3D Align

使用 `image_url` 的深度估計,將人體網格(.ply 或 .glb)放入原始照片的座標空間。可選輸入包括人體遮罩、焦距值,以及可產生合併場景檔案的物件網格(.glb)。輸出包括對齊後的 PLY 和 GLB 網格、對齊中繼資料及疊加視覺化結果。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
使用 MoGe 進行深度估計的來源圖像 URL。
body_mesh_url必填
類型string
用於對齊的網格 URL,接受 .ply 或 .glb 格式的 SAM-3D Body 檔案。
body_mask_url選填
類型url · image
人類遮罩圖像 URL;省略時會使用整張圖像。
object_mesh_url選填
類型string | null
SAM-3D Object 的選用網格 URL,格式為 .glb,用於建立合併場景。
focal_length選填
類型number | null
取自 SAM-3D Body 中繼資料的焦距覆寫值;未提供值時使用 MoGe 估計值。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam-3/3d-align",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "body_mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "body_mesh_ply": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "visualization": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "metadata": {
      "person_id": 1,
      "scale_factor": 1.0,
      "translation": [
        1.0
      ],
      "focal_length": 1.0,
      "target_points_count": 1,
      "cropped_vertices_count": 1
    },
    "scene_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
body_mesh_ply
object {url, content_type, file_name, file_size}包含對齊人體網格的 PLY 檔案。
model_glb
object {url, content_type, file_name, file_size}包含用於 3D 預覽之對齊人體網格的 GLB 檔案。
visualization
object {url, content_type, file_name, file_size}疊加對齊網格的輸入圖像視覺化結果。
metadata
object {person_id, scale_factor, translation, focal_length, target_points_count, cropped_vertices_count}對齊詳細資訊,例如縮放和位移。
scene_glb
object {url, content_type, file_name, file_size} | null僅在提供 object_mesh_url 時可用的 GLB 輸出;其中包含同一場景中的人體和物件網格。

更多模型:3D

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/sam-3/3d-align.md. 所有模型與指南: https://doitong.com/developers/llms.txt